package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分包单位对象 pro_project_info_subdepts
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdepts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long deptId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 分包单位 */
    @Excel(name = "分包单位")
    private Long subDeptId;

    /** 分包单位类型 */
    @Excel(name = "分包单位类型")
    private String subDeptType;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 分包单位编号 */
    @Excel(name = "分包单位编号")
    private String subDeptCode;

    /** 负责人主键 */
    @Excel(name = "负责人主键")
    private Long subDeptLeaderId;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String subDeptLeaderName;

    /** 负责人证件号码 */
    @Excel(name = "负责人证件号码")
    private String subDeptLeaderCode;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String subDeptLeaderPhone;

    /** 进场状态 */
    @Excel(name = "进场状态")
    private String useStatus;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setSubDeptType(String subDeptType) 
    {
        this.subDeptType = subDeptType;
    }

    public String getSubDeptType() 
    {
        return subDeptType;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setSubDeptCode(String subDeptCode) 
    {
        this.subDeptCode = subDeptCode;
    }

    public String getSubDeptCode() 
    {
        return subDeptCode;
    }
    public void setSubDeptLeaderId(Long subDeptLeaderId) 
    {
        this.subDeptLeaderId = subDeptLeaderId;
    }

    public Long getSubDeptLeaderId() 
    {
        return subDeptLeaderId;
    }
    public void setSubDeptLeaderName(String subDeptLeaderName) 
    {
        this.subDeptLeaderName = subDeptLeaderName;
    }

    public String getSubDeptLeaderName() 
    {
        return subDeptLeaderName;
    }
    public void setSubDeptLeaderCode(String subDeptLeaderCode) 
    {
        this.subDeptLeaderCode = subDeptLeaderCode;
    }

    public String getSubDeptLeaderCode() 
    {
        return subDeptLeaderCode;
    }
    public void setSubDeptLeaderPhone(String subDeptLeaderPhone) 
    {
        this.subDeptLeaderPhone = subDeptLeaderPhone;
    }

    public String getSubDeptLeaderPhone() 
    {
        return subDeptLeaderPhone;
    }
    public void setUseStatus(String useStatus) 
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus() 
    {
        return useStatus;
    }
    public void setApproveStatus(Long approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() 
    {
        return approveStatus;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("subDeptType", getSubDeptType())
            .append("subDeptName", getSubDeptName())
            .append("subDeptCode", getSubDeptCode())
            .append("subDeptLeaderId", getSubDeptLeaderId())
            .append("subDeptLeaderName", getSubDeptLeaderName())
            .append("subDeptLeaderCode", getSubDeptLeaderCode())
            .append("subDeptLeaderPhone", getSubDeptLeaderPhone())
            .append("useStatus", getUseStatus())
            .append("approveStatus", getApproveStatus())
            .append("qrCode", getQrCode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
